Chat-id routes
Chat-id sections
List parsed sections for a Deep Reader chat.
GET
/
api
/
v2
/
documents
/
{id}
/
sections
/
Get document sections
curl --request GET \
--url https://api.example.com/api/v2/documents/{id}/sections/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/documents/{id}/sections/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/documents/{id}/sections/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sections": [
{
"id": 123,
"type": "<string>",
"page": 123,
"bbox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"precise": true
},
"pixel_bbox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"content": "<string>",
"color": "<string>",
"order": 1073741823
}
],
"status": "<string>",
"available_versions": [
"<string>"
],
"file_url": "<string>"
}Parsed sections for a Deep Reader chat.
{id} is the chat pk. Prefer Sections when you already hold att_id.Authorizations
extractApiKeybearerAuthcookieAuth
⌘I
Get document sections
curl --request GET \
--url https://api.example.com/api/v2/documents/{id}/sections/ \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.example.com/api/v2/documents/{id}/sections/"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.example.com/api/v2/documents/{id}/sections/', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));{
"sections": [
{
"id": 123,
"type": "<string>",
"page": 123,
"bbox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123,
"precise": true
},
"pixel_bbox": {
"x": 123,
"y": 123,
"width": 123,
"height": 123
},
"content": "<string>",
"color": "<string>",
"order": 1073741823
}
],
"status": "<string>",
"available_versions": [
"<string>"
],
"file_url": "<string>"
}
